
<%
/************************************************************@@
  * Program Name	: doc_regist.jsp
  * Description		: /집계자/내문서함/등록함/문서 등록
  * Author				: 강원중
  * Create Date		: 2004.10.11
  * History				:
@@************************************************************/
%>
<%@ page contentType="text/html; charset=UTF-8"
	import="java.net.URLEncoder"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.lang.MLong" import="kr.co.kihyun.moumi.Moumi"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.moumi.doc.MDoc"
	import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.beans.totsys.report.Report"%>
<%@page import="kr.co.kihyun.beans.entity.TotReport"%>
<%@page import="kr.co.kihyun.beans.entity.TotReportProcess"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
try{
	/*********** User HttpSSOLogin check ***********/
	if(!HttpSSOLogin.isLogin(request)){
		//login 성공후 되돌아올 주소
		String connURL="location='/totsys/login/login.jsp';";
		out.println(ServletUtil.getJavaScript(connURL));
		return;
	}

	/********** session내의 userId **********/
	String usID = HttpSSOLogin.getLoginID(request);

	/********** parameter **********/
	Long docID = MLong.parseLong(request.getParameter("docID"),null);
	String strPage  = clearXSS(request.getParameter("strPage"),"");
	String findOption = clearXSS(request.getParameter("findOption"),"");
	String findWord = clearXSS(request.getParameter("findWord"),"");
	int tmp = MInteger.parseInt(request.getParameter("tmp"), 0);

	session.setAttribute("modifySuccTargetURI", "/totsys/sysadm/prssbox/doc_form_view.jsp?docID="+docID);

	/****** all, send report ******/
	Report report = new Report();
	int allReportCount = report.getAllCount(docID);
	int sendReportCount = report.getSendCount(docID);
%>

<HTML>
<HEAD>
<TITLE><%=Moumi.getTitle()%></TITLE>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<!--link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css"-->
<script src="/totsys/common/js/rollover.js"></script>
<script src="/totsys/common/js/popup.js"></script>
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/tabs.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/SquareButtons.css"
	type="text/css">
<script language="javascript">
			function formContentModify(){
				if(confirm("현재 집계<%= Moumi.getMessageBundle().getString("moumi.message.doc") %>에 대한\n제출건수 : <%=sendReportCount%>건\n미제출건수 : <%=(allReportCount-sendReportCount)%>건\n이 있습니다.\n계속 진행하시면 모든  <%= Moumi.getMessageBundle().getString("moumi.message.doc") %>가 <%=TotReportProcess.ACCEPT%> 상태로 변경됩니다\n계속 진행하시겠습니까?")){
					location.href="/totsys/sysadm/prssbox/form_content_modify.jsp?docID=<%=docID%>";
				}else{
					return;
				}
			}
			function formPreference(){
				if(confirm("현재 집계<%= Moumi.getMessageBundle().getString("moumi.message.doc") %>에 대한\n제출건수 : <%=sendReportCount%>건\n미제출건수 : <%=(allReportCount-sendReportCount)%>건\n이 있습니다.\n계속 진행하시면 모든 제출완료 <%= Moumi.getMessageBundle().getString("moumi.message.doc") %>가 <%=TotReportProcess.ACCEPT%> 상태로 변경됩니다\n계속 진행하시겠습니까?")){
					location.href="/totsys/sysadm/prssbox/doc_form_modify.jsp?docID=<%=docID%>";
				}else{
					return;
				}
			}
	
			function modify(){
				location.href="/totsys/sysadm/prssbox/doc_modify.jsp?docID=<%= docID %>&url=mmprss";
			}
	
			function formView(){
				location.href="/totsys/sysadm/prssbox/doc_form_view.jsp?docID=<%=docID%>";
			}
	
			function reports(){
				location.href="/totsys/sysadm/prssbox/reports/report_list.jsp?docID=<%= docID %>";
			}
	
			function totReports(){
				location.href="/totsys/sysadm/prssbox/tot_reports/total_reports.jsp?docID=<%= docID %>";
			}
	
			function totReport(){
				location.href="/totsys/sysadm/prssbox/tot_report/total_report.jsp?docID=<%= docID %>";
			}
		</script>
</HEAD>

<body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0"
	MARGINWIDTH="0" MARGINHEIGHT="0">
<div>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true" />
	<jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
</table>
</div>

<div id="header">
<ul id="primary">

	<li><a href="#" onclick="modify();">기본정보</a></li>
	<li><span class="kecttep_menu_focous">양식정보</span></li>
	<li><a href="#" onclick="reports();">제출현황</a></li>
	<li><a href="#" onclick="totReports();">집계현황</a></li>
	<li><a href="#" onclick="totReport();">집계표</a></li>
</ul>
</div>

<div id="main">
<div id="contents">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr class="toolbar">
		<td align="left">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td><a class="simplebutton" href="#"
					onclick="javacscript:formContentModify();"><span class="modify">
				<%= Moumi.getMessageBundle().getString("moumi.message.button.formModify") %></span>
				</a></td>
				<td class="kecttep_button_td"><a class="simplebutton" href="#"
					onclick="javascript:formPreference();"><span class="modify">
				<%if(tmp == 1){%> <%= Moumi.getMessageBundle().getString("moumi.message.button.formPreference") %>
				<%}else{%> <%= Moumi.getMessageBundle().getString("moumi.message.button.formPreferenceModify") %>
				<%}%> </span> </a></td>
			</tr>
		</table>
		</td>
	</tr>
</table>
<table width="100%" height="70" border="0" cellpadding="0"
	cellspacing="0">
	<jsp:include
		page="/totsys/common/inc/documents/tot_doc/modify_form_config.jsp"
		flush="true">
		<jsp:param name="docID" value="<%= docID %>" />
		<jsp:param name="tmp" value="<%= tmp %>" />
	</jsp:include>
</table>
</div>
</div>
<!------------------------------- buttombar start ------------------------------->
<%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
<!------------------------------- buttombar end ------------------------------->
<div id="SetWin" style="position: absolute; visibility: hidden; width: 100px; height: 100px; background: silver; border: 1px solid #333333; line-height: 1.4em; padding: 3px 3px"></div>
</BODY>
</HTML>
<%
}catch(Exception ex){ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
}
%>
